Home / SDP and offer/answer / Same m-lines, same order
Same m-lines, same order
RFC 3264 matches streams by position. The answer has the same number of m-lines, in the same order.
Learn in 5 minutes
- Count m-lines in the offer and in the answer
- Reject a stream without deleting its position
- Keep later offers in the same order
Visual
Stream 1 stays stream 1. A rejected second stream is still the second m-line.
Worked example
Negotiate two m-lines Run the negotiator. The answer refuses the second stream without deleting it.
- Press Negotiate.
- Confirm both m-lines are present.
- Read the second port.
Fault
The offer had two m-lines. The answer body has only the PCMU line, and the call fails.
RFC 3264 requires the same number of m-lines in the same order. A missing line is not a clean refusal.
Quiz
Ecosystem
Glossary, sister systems, and the integration seam for this room.
Quality management and recording QM scores interactions. The standardized way an SBC forks a session to a recorder is SIPREC.
Sources and go deeper
- RFC 3264 — last checked 2026-10
- RFC 3264 §6 — last checked 2026-10
- RFC 6337 — last checked 2026-10
- RFC 3551 — last checked 2026-10